<?php /* Smarty version 2.6.26, created on 2012-10-19 16:45:02
         compiled from orders/orders_js.html */ ?>
<?php echo '
<script type="text/javascript">
function OrderSearchProds() {
	if ($(\'#sv-search-prod-results-list\').html() == \'\') {
		ShowLoading(\'sv-search-prod-results-list\', \''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_please_wait']; ?>
<?php echo '\');
	} else {
		$(\'#sv-search-prod-results-list\').fadeTo(0, 0.5);
	}

	var options = {
		url: BASE_URL + \'admin/modules/orders/orders_js.php?act=search\',
		success: function(html) {
			$(\'#sv-search-prod-results-list\').html(html);
			$(\'#sv-search-prod-results-list\').fadeTo(0, 1);
		}
	};

	$(\'#sv-product-search-form\').ajaxSubmit(options);

	return false;
}

function OrderAddProd(order_id, prod_id, var_id) {
	var pref = \'sv-prod-\' + prod_id;
	
	if (var_id > 0) {
		pref = \'sv-var-\' + var_id;
	}
	
	var price   = $(\'#\' + pref + \'-price\').attr(\'value\');
	var weight  = $(\'#\' + pref + \'-weight\').attr(\'value\');
	
	var options = \'\';
	
	if ($(\'#\' + pref + \'-options\')) {
		options = $(\'#\' + pref + \'-options\').attr(\'value\');
	}
	
	var qty = 1;
	
	if ($(\'#\' + pref + \'-qty\')) {
		qty = $(\'#\' + pref + \'-qty\').attr(\'value\');
	}
	
	var cat_id = document.getElementById(\'sv-product-search-form\').in_cat.value;
	
	$.getJSON(BASE_URL + \'admin/modules/orders/orders_js.php\', {
			act: \'add\',
			order_id: order_id,
			prod_id: prod_id,
			var_id: var_id,
			cat_id: cat_id,
			price: price,
			weight: weight,
			options: options,
			qty: qty
		},
		function(obj) {
			window.location.reload();
		}
	);
	
	return false;
}

function OrderShowStatusesHistory(order_id) {
	ShowBlockUI();
	
	$.ajax({
		url: BASE_URL + \'admin/modules/orders/orders_js.php?act=statuses_history&order_id=\' + order_id,
		dataType: \'html\',
		success: function(html) {
			$.modal.current.setModalTitle(\''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_statuses_history']; ?>
<?php echo '\');
			
			html += \'<p align="center"><a href="javascript:void(0);" class="button" onclick="$.modal.current.closeModal();return false;"><img src="'; ?>
<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
<?php echo 'icons/fugue/cross-circle.png" width="16" height="16"> '; ?>
<?php echo $this->_tpl_vars['LABEL']['link_close']; ?>
<?php echo '</a></p>\';
			
			$.modal.current.setModalContent(html, true);
		}
	});
}

function OrderShowPrintVariants(order_id, order_date) {
	'; ?>

		var message = '<p class="small-margin"><b><?php echo $this->_tpl_vars['LABEL']['lbl_order_id']; ?>
</b>: ' + order_id + '</p>';
		
		message += '<form name="bill_of_parcels_' + order_id + '_form" action="index.php" method="get" target="_blank">';
		message += '<input type="hidden" name="module" value="orders" />';
		message += '<input type="hidden" name="act" value="bill_of_parcels" />';
		message += '<input type="hidden" name="id" value="' + order_id + '" />';
		
		message += '<p class="small-margin"><a href="index.php?module=orders&act=details&id=' + order_id + '&printable=Y" target="_blank"><?php echo $this->_tpl_vars['LABEL']['link_order_details']; ?>
</a></p>';
		message += '<p class="small-margin">';
		message += '<a href="javascript:void(0);" onclick="document.forms.bill_of_parcels_' + order_id + '_form.submit();"><?php echo $this->_tpl_vars['LABEL']['lbl_bill_of_parcels']; ?>
</a>';
		message += ' (<?php echo $this->_tpl_vars['LABEL']['lbl_currency']; ?>
: <select name="currency_id" class="small">';
		
		<?php $_from = $this->_tpl_vars['currencies_list']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['currency']):
?>
			message += '<option value="<?php echo $this->_tpl_vars['currency']['id']; ?>
"><?php echo $this->_tpl_vars['currency']['name']; ?>
</option>';
		<?php endforeach; endif; unset($_from); ?>
		
		message += '</select>)';
		message += '</p>';
		
		message += '</form>';
		
		message += '<form name="bill_' + order_id + '_form" action="' + BASE_URL + 'index.php" method="get" target="_blank">';
		message += '<input type="hidden" name="module" value="cart" />';
		message += '<input type="hidden" name="act" value="russian_bill" />';
		message += '<input type="hidden" name="order_id" value="' + order_id + '" />';
		message += '<p style="margin-top:6px;"><a href="javascript:void(0);" onclick="document.forms.bill_' + order_id + '_form.submit();"><?php echo $this->_tpl_vars['LABEL']['lbl_bill']; ?>
</a> № <input type="text" class="small" name="bill_num" size="3" maxlength="32" value="' + order_id + '"> <?php echo $this->_tpl_vars['LABEL']['lbl_from']; ?>
 <input type="text" class="small" name="bill_date" size="11" maxlength="10" value="' + order_date + '"></p>';
		message += '</form>';
		
		message += '<p class="small-margin" style="margin-top:6px;"><a href="index.php?module=orders&act=f117&id=' + order_id + '" target="_blank"><?php echo $this->_tpl_vars['LABEL']['lbl_f117']; ?>
</a></p>';
		message += '<p class="small-margin"><a href="index.php?module=orders&act=f113&id=' + order_id + '" target="_blank"><?php echo $this->_tpl_vars['LABEL']['lbl_f113']; ?>
</a></p>';
	<?php echo '
	
	$.modal({
		content: message,
		title: \''; ?>
<?php echo $this->_tpl_vars['LABEL']['link_print']; ?>
<?php echo '\',
		maxWidth: 300,
		minHeight: 10
	});
}

function OrderOnChangeStatus(email) {
	if (email) {
		$.modal({
			title: \''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_new_status']; ?>
<?php echo '\',
			content: \''; ?>
<p><?php echo $this->_tpl_vars['LABEL']['lbl_ch_ostatus_confirm']; ?>
</p><?php echo '\',
			maxWidth: 300,
			minHeight: 10,
			buttons: {
				\''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_yes']; ?>
<?php echo '\': function(win) { document.forms.chstatus_form.notify_customer.value = \'Y\'; win.closeModal(); document.forms.chstatus_form.submit(); },
				\''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_no']; ?>
<?php echo '\': function(win) { document.forms.chstatus_form.notify_customer.value = \'N\'; win.closeModal(); document.forms.chstatus_form.submit(); }
			}
		});
	} else {
		document.forms.chstatus_form.notify_customer.value = \'N\';
		document.forms.chstatus_form.submit();
	}
}

function OrdersOnSelectSearchCategory(cat_id, cat_caption) {
	document.getElementById(\'sv-product-search-form\').in_cat.value = cat_id;
	
	if (cat_caption == \'\') {
		cat_caption = \''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_in_all']; ?>
<?php echo '\';
	}
	
	$(\'#sv-orders-search-category-caption\').html(cat_caption);
}

function OrdersCSVExport() {
	var message = \''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_encoding']; ?>
<?php echo ': \';
	
	message += \'<span class="form"><select id="sv-order-csv-export-encoding" style="width:100px;" class="small">\';
	message += \'<option value="ascii">ascii</option>\';
	message += \'<option value="big5">big5</option>\';
	message += \'<option value="cp1250">cp1250</option>\';
	message += \'<option value="cp1251">cp1251</option>\';
	message += \'<option value="cp1252">cp1252</option>\';
	message += \'<option value="cp1253">cp1253</option>\';
	message += \'<option value="cp1254">cp1254</option>\';
	message += \'<option value="cp1257">cp1257</option>\';
	message += \'<option value="cp850">cp850</option>\';
	message += \'<option value="cp852">cp852</option>\';
	message += \'<option value="cp866">cp866</option>\';
	message += \'<option value="cp932">cp932</option>\';
	message += \'<option value="euc-kr">euc-kr</option>\';
	message += \'<option value="gbk">gbk</option>\';
	message += \'<option value="koi8-r">koi8-r</option>\';
	message += \'<option value="koi8-u">koi8-u</option>\';
	message += \'<option value="iso-8859-1">iso-8859-1</option>\';
	message += \'<option value="iso-8859-2">iso-8859-2</option>\';
	message += \'<option value="iso-8859-3">iso-8859-3</option>\';
	message += \'<option value="iso-8859-4">iso-8859-4</option>\';
	message += \'<option value="iso-8859-5">iso-8859-5</option>\';
	message += \'<option value="iso-8859-7">iso-8859-7</option>\';
	message += \'<option value="iso-8859-9">iso-8859-9</option>\';
	message += \'<option value="iso-8859-10">iso-8859-10</option>\';
	message += \'<option value="iso-8859-13">iso-8859-13</option>\';
	message += \'<option value="iso-8859-14">iso-8859-14</option>\';
	message += \'<option value="iso-8859-15">iso-8859-15</option>\';
	message += \'<option value="iso-8859-16">iso-8859-16</option>\';
	message += \'<option value="macgreek">macgreek</option>\';
	message += \'<option value="machebrew">machebrew</option>\';
	message += \'<option value="maccentraleurope">maccentraleurope</option>\';
	message += \'<option value="macroman">macroman</option>\';
	message += \'<option value="shift_jis">shift_jis</option>\';
	message += \'<option value="utf-8" selected="selected">utf-8</option>\';
	message += \'</select></span>\';

	message += \'&nbsp;&nbsp;<a href="javascript:void(0);" class="button" onclick="var orders_form_action_prev = document.forms.orders_form.action; document.forms.orders_form.action = \\\'index.php?module=orders&act=csv&enc=\\\' + document.getElementById(\\\'sv-order-csv-export-encoding\\\').value; document.forms.orders_form.submit(); document.forms.orders_form.action = orders_form_action_prev; return false;"><img src="'; ?>
<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
<?php echo 'icons/fugue/application-export.png" width="16" height="16"> '; ?>
<?php echo $this->_tpl_vars['LABEL']['link_export']; ?>
<?php echo '</a>\';
	
	$.modal({
		content: message,
		title: \''; ?>
<?php echo $this->_tpl_vars['LABEL']['link_csv_export']; ?>
<?php echo '\',
		maxWidth: 300,
		minHeight: 10
	});
}

function OrdersLoad(filter_enable, filter_disable) {
	if (filter_enable) {
		$.scrollTo(\'.tabs\', 0);
		filter_enable = 1;
	} else {
		filter_enable = 0;
	}

	if (filter_disable) {
		filter_disable = 1;
	} else {
		filter_disable = 0;
	}

	$(\'#sv-orders-list\').fadeTo(0, 0.5);

	var options = {
		url: BASE_URL + \'admin/modules/orders/orders_js.php?act=orders_list_load&filter_enable=\' + filter_enable + \'&filter_disable=\' + filter_disable,
		success: function(html) {
			$(\'#sv-orders-list\').html(html).fadeTo(0, 1);
		}
	};

	$(\'#sv-orders-form\').ajaxSubmit(options);
}

var filterTimeoutId = -1;

function OrdersOnFilterChanged(disable_delay) {
	if (disable_delay) {
		OrdersLoad(true);
	} else {
		if (filterTimeoutId != -1) {
			clearTimeout(filterTimeoutId);
		}
		
		filterTimeoutId = setTimeout(
			function() {
				OrdersLoad(true);
			},
			500
		);
	}
}

'; ?>

<?php if ($this->_tpl_vars['order_info'] && $this->_tpl_vars['search_was'] && $this->_tpl_vars['may_changed']): ?>
	<?php echo '
		$(document).ready(function(){
			OrderSearchProds();
		});
	'; ?>

<?php endif; ?>
<?php echo '
</script>
'; ?>