$(function() {
	var scrollable_size = 5;
	var slide_item_count = $("#favorite-products .slide-item").length;
	
	if ($(document).width() > 1250) {
		var scrollable_size = 6;
	}
	
	$("#slide").removeClass('hidden');
	$('.prev-image').css('opacity', 0.3).css('cursor', 'default');
	
	if (slide_item_count <= scrollable_size) {
		for (var i = 0; i < scrollable_size - slide_item_count; i++) {
			$("#favorite-products .items").append('<div class="slide-item"></div>');
		}
		$('.next-image').css('opacity', 0.3).css('cursor', 'default');
	}
	
	$("#favorite-products").scrollable({
		horizontal:true,
		size:scrollable_size,
		prev:'.prev-image',
		next:'.next-image',
		onSeek: function() {
			if (this.index >= this.length - this.size) {
				$('.next-image').css('opacity', 0.3).css('cursor', 'default');
				if (slide_item_count > scrollable_size) {
					$('.prev-image').css('opacity', 1).css('cursor', 'pointer');
				}
			} else if (this.index == 0) {
				$('.prev-image').css('opacity', 0.3).css('cursor', 'default');
				if (slide_item_count > scrollable_size) {
					$('.next-image').css('opacity', 1).css('cursor', 'pointer');
				}
			} else {
				$('.prev-image, .next-image').css('opacity', 1).css('cursor', 'pointer');
			}
		}
	});
});