<?php /* Smarty version 2.6.26, created on 2012-10-19 16:45:04
         compiled from stats/sales/form.html */ ?>
<?php echo '
<script type="text/javascript">
$(document).ready(function() {
	$(\'.date-pick\').datepick({
		dateFormat: \'yyyy-mm-dd\',
		minDate: \'2008-01-01\',
		alignment: \'bottom\',
		showOtherMonths: true,
		selectOtherMonths: true,
		renderer: {
			picker: \'<div class="datepick block-border clearfix form"><div class="mini-calendar clearfix">\' +
					\'{months}</div></div>\',
			monthRow: \'{months}\',
			month: \'<div class="calendar-controls">\' +
						\'{monthHeader:M yyyy}\' +
					\'</div>\' +
					\'<table cellspacing="0">\' +
						\'<thead>{weekHeader}</thead>\' +
						\'<tbody>{weeks}</tbody></table>\',
			weekHeader: \'<tr>{days}</tr>\',
			dayHeader: \'<th>{day}</th>\',
			week: \'<tr>{days}</tr>\',
			day: \'<td>{day}</td>\',
			monthSelector: \'.month\',
			daySelector: \'td\',
			rtlClass: \'rtl\',
			multiClass: \'multi\',
			defaultClass: \'default\',
			selectedClass: \'selected\',
			highlightedClass: \'highlight\',
			todayClass: \'today\',
			otherMonthClass: \'other-month\',
			weekendClass: \'week-end\',
			commandClass: \'calendar\',
			commandLinkClass: \'button\',
			disabledClass: \'unavailable\'
		}
	});
	
	$("#items-list").sortable({
		items:\'.list-item\',
		tolerance: \'pointer\',
		handle:\'#list-item-handler\',
		cursor: \'move\',
		placeholder: \'item-placeholder\',
		stop: function(ev, ui) {
		}
	});
});
</script>
'; ?>


<p><img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
icons/fugue/exclamation-diamond.png" width="16" height="16" class="picto"> <?php echo $this->_tpl_vars['LABEL']['note_sales_stat']; ?>
</p>

<form id="sv-sales-stats-form" method="post" class="form">
	<?php echo $this->_tpl_vars['LABEL']['lbl_start_date']; ?>
: <input type="text" name="from_date" class="small date-pick" value="<?php echo $this->_tpl_vars['from_date']; ?>
" readonly="readonly" style="width:90px;" />
	<?php echo $this->_tpl_vars['LABEL']['lbl_end_date']; ?>
: <input type="text" name="to_date" class="small date-pick" value="<?php echo $this->_tpl_vars['to_date']; ?>
" readonly="readonly" style="width:90px;" />
	
	<p class="small-margin">&nbsp;</p>
	
	<table width="230" cellspacing="0" style="border-collapse:separate;border-spacing:3px;">
	<tbody>
		<tr>
			<td align="left"><?php echo $this->_tpl_vars['LABEL']['lbl_category']; ?>
:</td>
			<td align="left">
				<input type="hidden" name="cat_id" value="0" />
				<a href="javascript:void(0);" id="sv-sales-search-category-caption" onClick="ShopSelectCategory('<?php echo $this->_tpl_vars['LABEL']['lbl_category']; ?>
', document.getElementById('sv-sales-stats-form').cat_id.value, 0, true, false, StatSalesOnSelectSearchCategory); return false;"><?php echo $this->_tpl_vars['LABEL']['lbl_any2']; ?>
</a>
			</td>
		</tr>
		<tr>
			<td align="left"><?php echo $this->_tpl_vars['LABEL']['lbl_product']; ?>
:</td>
			<td align="left">
				<div id="sv-sales-product-select">
					<?php $_smarty_tpl_vars = $this->_tpl_vars;
$this->_smarty_include(array('smarty_include_tpl_file' => "stats/sales/products.html", 'smarty_include_vars' => array()));
$this->_tpl_vars = $_smarty_tpl_vars;
unset($_smarty_tpl_vars);
 ?>
				</div>
			</td>
		</tr>
	</tbody>
	</table>
	
	<p class="small-margin">&nbsp;</p>
	
	<table class="table" cellspacing="0" id="items-list" width="230">
	<thead>
		<tr>
			<th scope="col"><?php echo $this->_tpl_vars['LABEL']['lbl_active']; ?>
</th>
			<th scope="col">&nbsp;</th>
			<th scope="col"><?php echo $this->_tpl_vars['LABEL']['lbl_field']; ?>
</th>
		</tr>
	</thead>
	<tbody>
		<tr class="list-item" id="ids_caption">
			<td align="center">
				<input type="checkbox" name="fields[]" value="caption" checked="checked" />
			</td>
			<td align="center">
				<img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
arrow_order.gif" id="list-item-handler" width="20" height="20" alt="<?php echo $this->_tpl_vars['LABEL']['link_sort_up']; ?>
" />
			</td>
			<td align="left">
				<?php echo $this->_tpl_vars['LABEL']['lbl_designation']; ?>

			</td>
		</tr>
		<tr class="list-item" id="ids_sku">
			<td align="center">
				<input type="checkbox" name="fields[]" value="sku" checked="checked" />
			</td>
			<td align="center">
				<img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
arrow_order.gif" id="list-item-handler" width="20" height="20" alt="<?php echo $this->_tpl_vars['LABEL']['link_sort_up']; ?>
" />
			</td>
			<td align="left">
				<?php echo $this->_tpl_vars['LABEL']['lbl_sku']; ?>

			</td>
		</tr>
		<tr class="list-item" id="ids_date">
			<td align="center">
				<input type="checkbox" name="fields[]" value="date" checked="checked" />
			</td>
			<td align="center">
				<img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
arrow_order.gif" id="list-item-handler" width="20" height="20" alt="<?php echo $this->_tpl_vars['LABEL']['link_sort_up']; ?>
" />
			</td>
			<td align="left">
				<?php echo $this->_tpl_vars['LABEL']['lbl_date']; ?>

			</td>
		</tr>
		<tr class="list-item" id="ids_orderid">
			<td align="center">
				<input type="checkbox" name="fields[]" value="order_id" checked="checked" />
			</td>
			<td align="center">
				<img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
arrow_order.gif" id="list-item-handler" width="20" height="20" alt="<?php echo $this->_tpl_vars['LABEL']['link_sort_up']; ?>
" />
			</td>
			<td align="left">
				<?php echo $this->_tpl_vars['LABEL']['lbl_order_id']; ?>

			</td>
		</tr>
	</tbody>
	</table>
	
	<button type="button" id="sv-sales-show-ebutton" onclick="StatSalesShowReport(); return false;">
		<?php echo $this->_tpl_vars['LABEL']['link_show']; ?>

	</button>
	
	<p class="small-margin">&nbsp;</p>
	
	<button type="button" id="sv-sales-show-dbutton" onclick="StatSalesShowReport(); return false;">
		<?php echo $this->_tpl_vars['LABEL']['link_show']; ?>

	</button>
</form>