<?php /* Smarty version 2.6.26, created on 2012-10-19 16:45:01
         compiled from articles/recommended_products/recommended_products_list.html */ ?>
<?php echo '
<script type="text/javascript">
$(document).ready(function() {
	$("#items-list-recommended").sortable({
		items:\'.list-item\',
		tolerance: \'pointer\',
		handle:\'#list-item-handler\',
		cursor: \'move\',
		placeholder: \'item-placeholder\',
		stop: function(ev, ui) {
			var list = $(\'#items-list-recommended\').sortable(\'serialize\');
			ArticleUpdateRProdsPositions(list);
		}
	});
});

function ArticleUpdateRProdsPositions(ids) {
	$.getJSON(BASE_URL + \'admin/modules/articles/recommended_products.php?act=save_changes&\' + ids,
		function(obj) {
			ProcessMsgs(obj.msg, obj.err);
		}
	);

	return false;
}
</script>
'; ?>


<form id="sv-update-rprods-list-form" method="post">
	<input type="hidden" name="article_id" value="<?php echo $this->_tpl_vars['article_id']; ?>
" />
	
	<table class="table" cellspacing="0" id="items-list-recommended">
	<thead>
		<tr>
			<th scope="col" width="20">&nbsp;</th>
			<th scope="col"><?php echo $this->_tpl_vars['LABEL']['lbl_caption']; ?>
</th>
			<th scope="col" width="60"><?php echo $this->_tpl_vars['LABEL']['link_delete']; ?>
</th>
		</tr>
	</thead>
	<?php if (func_count_array ( $this->_tpl_vars['recommended_prods'] ) > 1): ?>
	<tfoot>
		<tr>
			<td colspan="3" align="right">
				<a href="javascript:void(0);" class="button" onclick="SelectAllToDel(); return false;"><?php echo $this->_tpl_vars['LABEL']['lbl_select_all']; ?>
</a>
				<a href="javascript:void(0);" class="button" onclick="UnSelectAllToDel(); return false;"><?php echo $this->_tpl_vars['LABEL']['lbl_unselect_all']; ?>
</a>
			</td>
		</tr>
	</tfoot>
	<?php endif; ?>
	<tbody>
		<?php $_from = $this->_tpl_vars['recommended_prods']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }$this->_foreach['rprods'] = array('total' => count($_from), 'iteration' => 0);
if ($this->_foreach['rprods']['total'] > 0):
    foreach ($_from as $this->_tpl_vars['rprod']):
        $this->_foreach['rprods']['iteration']++;
?>
		<tr class="list-item" id="ids_<?php echo $this->_tpl_vars['rprod']['id']; ?>
">
			<td align="center">
				<img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
arrow_order.gif" id="list-item-handler" width="20" height="20" alt="<?php echo $this->_tpl_vars['LABEL']['link_sort_up']; ?>
" style="margin:-4px 0;">
			</td>
			<td align="left">
				<a href="index.php?module=products&act=edit&id=<?php echo $this->_tpl_vars['rprod']['rprod_id']; ?>
" target="_blank"><?php echo $this->_tpl_vars['rprod']['caption']; ?>
</a>
			</td>
			<td align="center">
				<input type="checkbox" rel="rel_for_del" name="del_ids[<?php echo $this->_tpl_vars['rprod']['id']; ?>
]" value="Y">
			</td>
		</tr>
		<?php endforeach; else: ?>
		<tr>
			<td colspan="3" align="center"><?php echo $this->_tpl_vars['LABEL']['lbl_empty_list']; ?>
</td>
		</tr>
		<?php endif; unset($_from); ?>
	</tbody>
	</table>
	
	<?php if ($this->_tpl_vars['recommended_prods']): ?>
		<button type="button" id="sv-delete-selected-button" onclick="SubmitAction(function() <?php echo '{'; ?>
 ArticleUpdateRecProds(<?php echo $this->_tpl_vars['article_id']; ?>
) <?php echo '}'; ?>
, '<?php echo $this->_tpl_vars['LABEL']['lbl_are_you_sure']; ?>
'); return false;">
			<?php echo $this->_tpl_vars['LABEL']['link_delete_selected']; ?>

		</button>
		
		<?php echo '
		<script type="text/javascript">
		$(document).ready(function() {
			'; ?>

			<?php if (! fn_check_admin_rights ( 'articles' , 'article_edit_save' )): ?>
				$('#sv-delete-selected-button').disableBt();
			<?php endif; ?>
			<?php echo '
		});
		</script>
		'; ?>

	<?php endif; ?>
</form>