<?php /* Smarty version 2.6.26, created on 2012-10-16 15:02:06
         compiled from common/products_list.html */ ?>
<?php require_once(SMARTY_CORE_DIR . 'core.load_plugins.php');
smarty_core_load_plugins(array('plugins' => array(array('modifier', 'replace', 'common/products_list.html', 55, false),array('modifier', 'default', 'common/products_list.html', 95, false),array('modifier', 'strip_tags', 'common/products_list.html', 103, false),array('modifier', 'trim', 'common/products_list.html', 103, false),array('modifier', 'truncate', 'common/products_list.html', 107, false),array('modifier', 'close_tags', 'common/products_list.html', 114, false),array('modifier', 'nl2br', 'common/products_list.html', 116, false),array('function', 'thumb', 'common/products_list.html', 69, false),array('function', 'math', 'common/products_list.html', 95, false),)), $this); ?>
<?php if (! $this->_tpl_vars['prod_from']): ?>
	<?php if ($this->_tpl_vars['act'] == 'search'): ?>
		<?php $this->assign('prod_from', 'search'); ?>
	<?php elseif ($this->_tpl_vars['acquired_products']): ?>
		<?php $this->assign('prod_from', 'acquired'); ?>
	<?php elseif ($this->_tpl_vars['newest_products']): ?>
		<?php $this->assign('prod_from', 'newest'); ?>
	<?php elseif ($this->_tpl_vars['bestsellers_products']): ?>
		<?php $this->assign('prod_from', 'bestsellers'); ?>
	<?php elseif ($this->_tpl_vars['rated_prods']): ?>
		<?php $this->assign('prod_from', 'rated'); ?>
	<?php elseif ($this->_tpl_vars['random_prods']): ?>
		<?php $this->assign('prod_from', 'random'); ?>
	<?php elseif ($this->_tpl_vars['manuf_prods']): ?>
		<?php $this->assign('prod_from', 'manufacturer'); ?>
	<?php elseif ($this->_tpl_vars['article_prods']): ?>
		<?php $this->assign('prod_from', 'article'); ?>
	<?php elseif ($this->_tpl_vars['wished_products']): ?>
		<?php $this->assign('prod_from', 'wishlist'); ?>
	<?php elseif ($this->_tpl_vars['featured_products']): ?>
		<?php $this->assign('prod_from', 'featured'); ?>
	<?php elseif ($this->_tpl_vars['tag_prods']): ?>
		<?php $this->assign('prod_from', 'tag'); ?>
	<?php else: ?>
		<?php $this->assign('prod_from', ''); ?>
	<?php endif; ?>
<?php elseif ($this->_tpl_vars['prod_from'] == 'catalog'): ?>
	<?php $this->assign('prod_from', ''); ?>
<?php endif; ?>

<?php if ($this->_tpl_vars['cur_category'] && ! $this->_tpl_vars['rated_prods'] && ! $this->_tpl_vars['random_prods'] && ! $this->_tpl_vars['manuf_prods'] && ! $this->_tpl_vars['article_prods'] && $this->_tpl_vars['act'] != 'search' && $this->_tpl_vars['CONFIG']['modules']['products_compare']['avail'] == 'Y'): ?>
	<?php $this->assign('compare_enabled', true); ?>
<?php else: ?>
	<?php $this->assign('compare_enabled', false); ?>
<?php endif; ?>

<div class="shop-product-list">
	<?php $_from = $this->_tpl_vars['products']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }$this->_foreach['prods'] = array('total' => count($_from), 'iteration' => 0);
if ($this->_foreach['prods']['total'] > 0):
    foreach ($_from as $this->_tpl_vars['product']):
        $this->_foreach['prods']['iteration']++;
?>
		<?php $this->assign('prod_id', $this->_tpl_vars['product']['id']); ?>
		<?php $this->assign('prod_href', $this->_tpl_vars['LINKS']->Product($this->_tpl_vars['product'],$this->_tpl_vars['prod_from'])); ?>
		
		<?php if ($this->_tpl_vars['cur_category']): ?>
			<?php $this->assign('category_id', $this->_tpl_vars['cur_category']['id']); ?>
		<?php else: ?>
			<?php $this->assign('category_id', $this->_tpl_vars['product']['cat']); ?>
		<?php endif; ?>
		
		<div class="shop-product shop-product-<?php if ($this->_tpl_vars['CONFIG']['settings']['prodlist_row_view'] == 'on'): ?>row<?php else: ?>block<?php endif; ?>">
			<div>
				<h3>
					<?php if ($this->_tpl_vars['compare_enabled']): ?>
						<input type="checkbox" class="check" onClick="ToggleCompProd(<?php echo $this->_tpl_vars['prod_id']; ?>
, <?php echo $this->_tpl_vars['cur_category']['id']; ?>
, this);" <?php if ($_SESSION['prods_to_compare'][$this->_tpl_vars['cat_id']][$this->_tpl_vars['prod_id']] != '' || $_SESSION['prods_to_compare'][$this->_tpl_vars['cat_id']][$this->_tpl_vars['prod_id']] == '0'): ?>checked="checked"<?php endif; ?> />
						<label>
					<?php endif; ?>
					<a href="<?php echo $this->_tpl_vars['prod_href']; ?>
" title="<?php echo ((is_array($_tmp=$this->_tpl_vars['product']['caption'])) ? $this->_run_mod_handler('replace', true, $_tmp, '"', '&quot;') : smarty_modifier_replace($_tmp, '"', '&quot;')); ?>
"><?php echo $this->_tpl_vars['product']['caption']; ?>
</a>
					<?php if ($this->_tpl_vars['compare_enabled']): ?>
						</label>
					<?php endif; ?>
					<i class="fog"></i>
				</h3>
			</div>
			<div>
				<div class="preview">
					<?php echo '<a href="'; ?><?php echo $this->_tpl_vars['prod_href']; ?><?php echo '">'; ?><?php if ($this->_tpl_vars['product']['thumb'] && $this->_tpl_vars['product']['thumb'] != @NO_PICTURE): ?><?php echo '<img src="'; ?><?php echo $this->_tpl_vars['PRODS_PICS']; ?><?php echo ''; ?><?php echo $this->_tpl_vars['product']['thumb']; ?><?php echo '" '; ?><?php if ($this->_tpl_vars['CONFIG']['settings']['product_thumb_width'] > 0): ?><?php echo 'width="'; ?><?php echo $this->_tpl_vars['CONFIG']['settings']['product_thumb_width']; ?><?php echo '"'; ?><?php endif; ?><?php echo ' '; ?><?php if ($this->_tpl_vars['CONFIG']['settings']['product_thumb_height'] > 0): ?><?php echo 'height="'; ?><?php echo $this->_tpl_vars['CONFIG']['settings']['product_thumb_height']; ?><?php echo '"'; ?><?php endif; ?><?php echo ' alt="'; ?><?php echo ((is_array($_tmp=$this->_tpl_vars['product']['alt'])) ? $this->_run_mod_handler('replace', true, $_tmp, '"', '&quot;') : smarty_modifier_replace($_tmp, '"', '&quot;')); ?><?php echo '" />'; ?><?php elseif ($this->_tpl_vars['product']['img']): ?><?php echo '<img src="'; ?><?php echo smarty_function_thumb(array('src' => $this->_tpl_vars['product']['img'],'width' => 108,'height' => 96), $this);?><?php echo '" width="108" height="96" alt="'; ?><?php echo ((is_array($_tmp=$this->_tpl_vars['product']['alt'])) ? $this->_run_mod_handler('replace', true, $_tmp, '"', '&quot;') : smarty_modifier_replace($_tmp, '"', '&quot;')); ?><?php echo '" />'; ?><?php else: ?><?php echo '<img src="'; ?><?php echo $this->_tpl_vars['PRODS_PICS']; ?><?php echo ''; ?><?php echo @NO_PICTURE; ?><?php echo '" width="108" height="96" alt="'; ?><?php echo ((is_array($_tmp=$this->_tpl_vars['product']['alt'])) ? $this->_run_mod_handler('replace', true, $_tmp, '"', '&quot;') : smarty_modifier_replace($_tmp, '"', '&quot;')); ?><?php echo '" />'; ?><?php endif; ?><?php echo '</a>'; ?>

					
					<?php if ($this->_tpl_vars['product']['discount'] && $this->_tpl_vars['CONFIG']['settings']['prodlist_show_discount'] == 'on'): ?>
						<div class="super-price"><p><?php echo $this->_tpl_vars['product']['discount']; ?>
</p></div>
					<?php endif; ?>
					<?php if ($this->_tpl_vars['product']['img']): ?>
						<div class="zoom"><a href="<?php echo $this->_tpl_vars['PRODS_PICS']; ?>
<?php echo $this->_tpl_vars['product']['img']; ?>
" class="sv-fancy" title="<?php echo $this->_tpl_vars['product']['caption']; ?>
"><img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
1x1.gif" class="zoom-icon" alt="" /></a></div>
					<?php endif; ?>
				</div>
				<div class="description">
					<div class="hr product-description-hr-top"></div>
					<?php if ($_SESSION['products_list']['featured'][$this->_tpl_vars['product']['id']] && $this->_tpl_vars['prod_from'] != 'featured'): ?>
						<p class="important bold"><i><?php echo $this->_tpl_vars['LABEL']['lbl_featured2']; ?>
</i></p>
					<?php elseif ($_SESSION['products_list']['bestsellers'][$this->_tpl_vars['product']['id']] && $this->_tpl_vars['prod_from'] != 'bestsellers'): ?>
						<p class="important bold"><i><?php echo $this->_tpl_vars['LABEL']['lbl_bestseller']; ?>
</i></p>
					<?php elseif ($_SESSION['products_list']['newest'][$this->_tpl_vars['product']['id']] && $this->_tpl_vars['prod_from'] != 'newest'): ?>
						<p class="important bold"><i><?php echo $this->_tpl_vars['LABEL']['lbl_newest2']; ?>
</i></p>
					<?php endif; ?>
					
					<?php if ($this->_tpl_vars['CONFIG']['modules']['discussions']['avail'] == 'Y'): ?>
						<div class="vote-bar">
							<?php echo smarty_function_math(array('equation' => "round(r * 4)",'r' => ((is_array($_tmp=@$this->_tpl_vars['product']['rating'])) ? $this->_run_mod_handler('default', true, $_tmp, 0) : smarty_modifier_default($_tmp, 0)),'assign' => 'rated_index'), $this);?>

							<?php unset($this->_sections['rating']);
$this->_sections['rating']['name'] = 'rating';
$this->_sections['rating']['loop'] = is_array($_loop=21) ? count($_loop) : max(0, (int)$_loop); unset($_loop);
$this->_sections['rating']['start'] = (int)1;
$this->_sections['rating']['show'] = true;
$this->_sections['rating']['max'] = $this->_sections['rating']['loop'];
$this->_sections['rating']['step'] = 1;
if ($this->_sections['rating']['start'] < 0)
    $this->_sections['rating']['start'] = max($this->_sections['rating']['step'] > 0 ? 0 : -1, $this->_sections['rating']['loop'] + $this->_sections['rating']['start']);
else
    $this->_sections['rating']['start'] = min($this->_sections['rating']['start'], $this->_sections['rating']['step'] > 0 ? $this->_sections['rating']['loop'] : $this->_sections['rating']['loop']-1);
if ($this->_sections['rating']['show']) {
    $this->_sections['rating']['total'] = min(ceil(($this->_sections['rating']['step'] > 0 ? $this->_sections['rating']['loop'] - $this->_sections['rating']['start'] : $this->_sections['rating']['start']+1)/abs($this->_sections['rating']['step'])), $this->_sections['rating']['max']);
    if ($this->_sections['rating']['total'] == 0)
        $this->_sections['rating']['show'] = false;
} else
    $this->_sections['rating']['total'] = 0;
if ($this->_sections['rating']['show']):

            for ($this->_sections['rating']['index'] = $this->_sections['rating']['start'], $this->_sections['rating']['iteration'] = 1;
                 $this->_sections['rating']['iteration'] <= $this->_sections['rating']['total'];
                 $this->_sections['rating']['index'] += $this->_sections['rating']['step'], $this->_sections['rating']['iteration']++):
$this->_sections['rating']['rownum'] = $this->_sections['rating']['iteration'];
$this->_sections['rating']['index_prev'] = $this->_sections['rating']['index'] - $this->_sections['rating']['step'];
$this->_sections['rating']['index_next'] = $this->_sections['rating']['index'] + $this->_sections['rating']['step'];
$this->_sections['rating']['first']      = ($this->_sections['rating']['iteration'] == 1);
$this->_sections['rating']['last']       = ($this->_sections['rating']['iteration'] == $this->_sections['rating']['total']);
?>
								<input name="star_<?php echo $this->_tpl_vars['prod_id']; ?>
_<?php echo $this->_tpl_vars['prod_from']; ?>
" type="radio" class="star" <?php if ($this->_tpl_vars['rated_index'] == $this->_sections['rating']['index']): ?>checked="checked"<?php endif; ?> />
							<?php endfor; endif; ?>
						</div>
					<?php endif; ?>
					
					<?php if ($this->_tpl_vars['CONFIG']['settings']['prodlist_row_view'] != 'on'): ?>
						<span <?php if ($this->_tpl_vars['CONFIG']['settings']['prod_allow_html_short_descr'] == 'on'): ?>title="<?php echo ((is_array($_tmp=((is_array($_tmp=((is_array($_tmp=$this->_tpl_vars['product']['short_descr'])) ? $this->_run_mod_handler('replace', true, $_tmp, '"', '&quot;') : smarty_modifier_replace($_tmp, '"', '&quot;')))) ? $this->_run_mod_handler('strip_tags', true, $_tmp) : smarty_modifier_strip_tags($_tmp)))) ? $this->_run_mod_handler('trim', true, $_tmp) : smarty_modifier_trim($_tmp)); ?>
"<?php else: ?>title="<?php echo ((is_array($_tmp=$this->_tpl_vars['product']['short_descr'])) ? $this->_run_mod_handler('replace', true, $_tmp, '"', '&quot;') : smarty_modifier_replace($_tmp, '"', '&quot;')); ?>
"<?php endif; ?>>
							<?php if ($this->_tpl_vars['product']['short_descr']): ?>
								<?php ob_start(); ?><?php echo ''; ?><?php if ($this->_tpl_vars['CONFIG']['modules']['discussions']['avail'] == 'Y'): ?><?php echo ''; ?><?php echo ((is_array($_tmp=$this->_tpl_vars['product']['short_descr'])) ? $this->_run_mod_handler('truncate', true, $_tmp, 70, "...", true) : smarty_modifier_truncate($_tmp, 70, "...", true)); ?><?php echo ''; ?><?php else: ?><?php echo ''; ?><?php echo ((is_array($_tmp=$this->_tpl_vars['product']['short_descr'])) ? $this->_run_mod_handler('truncate', true, $_tmp, 90, "...", true) : smarty_modifier_truncate($_tmp, 90, "...", true)); ?><?php echo ''; ?><?php endif; ?><?php echo ''; ?>
<?php $this->_smarty_vars['capture']['short_descr'] = ob_get_contents(); ob_end_clean(); ?>
								
								<?php if ($this->_tpl_vars['CONFIG']['settings']['prod_allow_html_short_descr'] == 'on'): ?>
									<?php echo ((is_array($_tmp=$this->_smarty_vars['capture']['short_descr'])) ? $this->_run_mod_handler('close_tags', true, $_tmp) : smarty_modifier_close_tags($_tmp)); ?>

								<?php else: ?>
									<?php echo ((is_array($_tmp=$this->_smarty_vars['capture']['short_descr'])) ? $this->_run_mod_handler('nl2br', true, $_tmp) : smarty_modifier_nl2br($_tmp)); ?>

								<?php endif; ?>
							<?php else: ?>
								<?php echo $this->_tpl_vars['LABEL']['lbl_short_descr_is_empty']; ?>

							<?php endif; ?>
						</span>
					<?php else: ?>
						<?php if ($this->_tpl_vars['product']['short_descr']): ?>
							<?php if ($this->_tpl_vars['CONFIG']['settings']['prod_allow_html_short_descr'] == 'on'): ?>
								<?php echo ((is_array($_tmp=$this->_tpl_vars['product']['short_descr'])) ? $this->_run_mod_handler('close_tags', true, $_tmp) : smarty_modifier_close_tags($_tmp)); ?>

							<?php else: ?>
								<?php echo ((is_array($_tmp=$this->_tpl_vars['product']['short_descr'])) ? $this->_run_mod_handler('nl2br', true, $_tmp) : smarty_modifier_nl2br($_tmp)); ?>

							<?php endif; ?>
						<?php else: ?>
							<?php echo $this->_tpl_vars['LABEL']['lbl_short_descr_is_empty']; ?>

						<?php endif; ?>
					<?php endif; ?>
				</div>								
			</div>
			<div class="clearer"></div>
			<div>
				<div class="price">
					<?php if ($this->_tpl_vars['CONFIG']['settings']['prices_for_only_registered'] == 'on' && ! $_SESSION['customer_info']['id']): ?>
						<?php $_smarty_tpl_vars = $this->_tpl_vars;
$this->_smarty_include(array('smarty_include_tpl_file' => "_system_/helptip.html", 'smarty_include_vars' => array('id' => "product-".($this->_tpl_vars['prod_id'])."-price-".($this->_tpl_vars['prod_from']),'text' => $this->_tpl_vars['LABEL']['tip_prices_for_only_registered'],'label' => "<u>".($this->_tpl_vars['LABEL']['lbl_price'])."</u>")));
$this->_tpl_vars = $_smarty_tpl_vars;
unset($_smarty_tpl_vars);
 ?>
					<?php else: ?>
						<?php if ($this->_tpl_vars['CONFIG']['settings']['prices_same_font_size'] == 'on'): ?>
							<?php echo $this->_tpl_vars['product'][$this->_tpl_vars['PRODUCT_PRICE_FIELD']]; ?>

						<?php else: ?>
							<?php echo ''; ?><?php if ($this->_tpl_vars['SHOP_CURRENCY']['left_side'] == 'Y'): ?><?php echo ''; ?><?php echo $this->_tpl_vars['SHOP_CURRENCY']['short_name']; ?><?php echo ''; ?><?php endif; ?><?php echo ''; ?><?php echo $this->_tpl_vars['product']['price_int']; ?><?php echo ''; ?><?php if ($this->_tpl_vars['product']['price_fract']): ?><?php echo '<span class="hidden">'; ?><?php echo $this->_tpl_vars['SHOP_CURRENCY']['dec_point']; ?><?php echo '</span><sup>'; ?><?php echo $this->_tpl_vars['product']['price_fract']; ?><?php echo '</sup>'; ?><?php endif; ?><?php echo ''; ?><?php if ($this->_tpl_vars['SHOP_CURRENCY']['left_side'] != 'Y'): ?><?php echo ''; ?><?php echo $this->_tpl_vars['SHOP_CURRENCY']['short_name']; ?><?php echo ''; ?><?php endif; ?><?php echo ''; ?>

						<?php endif; ?>
					<?php endif; ?>
				</div>
				<div class="controls">
					<div class="hr"></div>
					<?php $this->assign('form_id', "product_form_".($this->_tpl_vars['product']['id'])."_".($this->_tpl_vars['prod_from'])); ?>
					<form id="<?php echo $this->_tpl_vars['form_id']; ?>
" method="post">
						<p>
							<div<?php if ($this->_tpl_vars['product']['egood'] == 'Y'): ?> class="float-left"<?php endif; ?>>
								<table cellpadding="0" cellspacing="0">
								<tr>
									<?php if (( ( $this->_tpl_vars['CONFIG']['modules']['prod_options']['avail'] == 'Y' && $this->_tpl_vars['product']['options'] ) || ( $this->_tpl_vars['product']['qty'] <= 0 && $this->_tpl_vars['product']['qty'] != '' ) ) && $this->_tpl_vars['prod_from'] != 'acquired'): ?>
										<td>
											<?php $_smarty_tpl_vars = $this->_tpl_vars;
$this->_smarty_include(array('smarty_include_tpl_file' => "_system_/button.html", 'smarty_include_vars' => array('link' => $this->_tpl_vars['prod_href'],'title' => $this->_tpl_vars['LABEL']['link_see_details'])));
$this->_tpl_vars = $_smarty_tpl_vars;
unset($_smarty_tpl_vars);
 ?>
										</td>
										<?php $this->assign('show_cart_button', false); ?>
									<?php else: ?>
										<?php if ($this->_tpl_vars['product']['egood'] == 'Y'): ?>
											<input type="hidden" name="prod_qty" value="1" />
										<?php else: ?>
											<td><input type="text" name="prod_qty" class="text spin" value="1" maxlength="32" />&nbsp;</td>
										<?php endif; ?>
										<td><?php $_smarty_tpl_vars = $this->_tpl_vars;
$this->_smarty_include(array('smarty_include_tpl_file' => "_system_/button.html", 'smarty_include_vars' => array('js' => "CartBox.addProduct(".($this->_tpl_vars['prod_id']).", ".($this->_tpl_vars['category_id']).", '".($this->_tpl_vars['form_id'])."'); document.getElementById('".($this->_tpl_vars['form_id'])."').prod_qty.value = 1;",'id' => "sv-button-cart-".($this->_tpl_vars['prod_id']),'title' => $this->_tpl_vars['LABEL']['link_add_to_cart'],'into_cart' => true)));
$this->_tpl_vars = $_smarty_tpl_vars;
unset($_smarty_tpl_vars);
 ?></td>
										<?php $this->assign('show_cart_button', true); ?>
									<?php endif; ?>
								</tr>
								</table>
							</div>
							
							<?php if ($this->_tpl_vars['product']['egood'] == 'Y'): ?>
								<div align="right">
									<img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
cd.png" width="18" height="18" title="<?php echo $this->_tpl_vars['LABEL']['lbl_this_is_egood']; ?>
" />
								</div>
							<?php endif; ?>
						</p>
						
						<table cellpadding="0" cellspacing="0">
						<tr>
							<td><img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
1x1.gif" width="1" height="4" /></td>
						</tr>
						<tr>
							<td>
								<?php if ($this->_tpl_vars['product']['egood'] == 'Y' && $this->_tpl_vars['product']['is_free'] == 'Y' && $this->_tpl_vars['CONFIG']['settings']['free_egoods_allowed'] == 'on' && $this->_tpl_vars['product']['egood_pins'] != 'Y'): ?>
									<?php $this->assign('download_link_visible', true); ?>
								<?php else: ?>
									<?php $this->assign('download_link_visible', false); ?>
								<?php endif; ?>
								
								<?php if ($this->_tpl_vars['kupivkredit_is_active'] && $this->_tpl_vars['show_cart_button']): ?>
									<a href="javascript:void(0);" onclick="ProductsKupiVKreditOnClick(<?php echo $this->_tpl_vars['prod_id']; ?>
);return false;"><?php echo $this->_tpl_vars['LABEL']['lbl_vkredit']; ?>
</a>
								<?php elseif ($this->_tpl_vars['prod_from'] == 'wishlist' && $_SESSION['customer_info']['id']): ?>
									<?php $this->assign('tmp_link', $this->_tpl_vars['LINKS']->Account('wishlist')); ?>
									<a href="javascript:void(0);" onClick="DelProdFromWishlist(<?php echo $_SESSION['customer_info']['id']; ?>
, <?php echo $this->_tpl_vars['prod_id']; ?>
, '<?php echo $this->_tpl_vars['tmp_link']; ?>
'); return false;"><?php echo $this->_tpl_vars['LABEL']['link_delete']; ?>
</a>
								<?php elseif ($this->_tpl_vars['prod_from'] == 'acquired' && $_SESSION['customer_info']['id']): ?>
									<a href="javascript:void(0);" onClick="AccountDelProdFromAcquired(<?php echo $this->_tpl_vars['prod_id']; ?>
); return false;"><?php echo $this->_tpl_vars['LABEL']['link_delete']; ?>
</a>
								<?php elseif ($this->_tpl_vars['CONFIG']['modules']['wishlist']['avail'] == 'Y'): ?>
									<?php if (! $this->_tpl_vars['wishlist_js_included']): ?>
										<?php $_smarty_tpl_vars = $this->_tpl_vars;
$this->_smarty_include(array('smarty_include_tpl_file' => "products/wishlist_js.html", 'smarty_include_vars' => array()));
$this->_tpl_vars = $_smarty_tpl_vars;
unset($_smarty_tpl_vars);
 ?>
										<?php $this->assign('wishlist_js_included', true); ?>
									<?php endif; ?>
									<a href="javascript:void(0);" onClick="AddProdToWishlist(<?php echo $this->_tpl_vars['prod_id']; ?>
, <?php echo ((is_array($_tmp=@$_SESSION['customer_info']['id'])) ? $this->_run_mod_handler('default', true, $_tmp, 0) : smarty_modifier_default($_tmp, 0)); ?>
); return false;">
										<?php if ($this->_tpl_vars['download_link_visible']): ?>
											<?php echo $this->_tpl_vars['LABEL']['link_to_wishlist']; ?>

										<?php else: ?>
											<?php echo $this->_tpl_vars['LABEL']['link_prod_to_wishlist']; ?>

										<?php endif; ?>
									</a>
								<?php endif; ?>
								
								<?php if ($this->_tpl_vars['download_link_visible']): ?>
									| <a href="<?php echo $this->_tpl_vars['LINKS']->GetEgoodFree($this->_tpl_vars['category_id'],$this->_tpl_vars['prod_id']); ?>
"><?php echo $this->_tpl_vars['LABEL']['link_download']; ?>
</a>
								<?php endif; ?>
							</td>
						</tr>
						</table>
						
						<?php if ($this->_tpl_vars['prod_from'] == 'acquired'): ?>
							<?php $_from = $this->_tpl_vars['product']['options']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['var_id']):
?>
								<input type="hidden" name="options[]" value="<?php echo $this->_tpl_vars['var_id']; ?>
" />
							<?php endforeach; endif; unset($_from); ?>
						<?php elseif ($this->_tpl_vars['CONFIG']['modules']['prod_options']['avail'] == 'Y' && $this->_tpl_vars['product']['options'] && $this->_tpl_vars['product']['def_vars_selected']): ?>
							<?php $_from = $this->_tpl_vars['product']['options']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['option']):
?>
								<?php $_from = $this->_tpl_vars['option']['variants']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['variant']):
?>
									<?php if ($this->_tpl_vars['product']['def_vars_selected'][$this->_tpl_vars['variant']['id']]): ?>
										<input type="hidden" name="options[<?php echo $this->_tpl_vars['option']['id']; ?>
]" value="<?php echo $this->_tpl_vars['variant']['id']; ?>
" />
									<?php endif; ?>
								<?php endforeach; endif; unset($_from); ?>
							<?php endforeach; endif; unset($_from); ?>
						<?php endif; ?>
					</form>
				</div>
			</div>
		</div>
	<?php endforeach; else: ?>
		<?php echo $this->_tpl_vars['LABEL']['lbl_empty_list']; ?>

	<?php endif; unset($_from); ?>
</div>

<div class="clearer"></div>

<?php echo '
<script type="text/javascript">
var spinInited = false;

$j(document).ready(function(){
	initRating();
	initFancy();
	
	if (!spinInited) {
		'; ?>
initSpin('<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
', '<?php echo $_SESSION['current_cscheme']; ?>
');<?php echo '
		spinInited = true;
	}
});

'; ?>
<?php if ($this->_tpl_vars['kupivkredit_is_active']): ?><?php echo '
	function ProductsKupiVKreditOnClick(prod_id) {
		$j(\'#sv-button-cart-\' + prod_id).click();
		window.setTimeout(function () {
			$j.getJSON(
				BASE_URL + \'modules/cart/cart_js.php?act=set_payment_id&payment_id='; ?>
<?php echo $this->_tpl_vars['kupivkredit_payment_id']; ?>
<?php echo '\',
				function() {
					location.href = \''; ?>
<?php echo $this->_tpl_vars['LINKS']->Cart(); ?>
<?php echo '\';
				}
			);
		}, 2000);
	}
'; ?>
<?php endif; ?><?php echo '
</script>
'; ?>