<!--
	var $j = jQuery.noConflict();
	
	var CartBox = (function() {
		var cart = {};
		var cartFlyBoxType = '';
		
		cart.addProduct = function(prod_id, cat_id, product_form_id, callback) {
			var options = {
				url: BASE_URL + 'modules/cart/cart_js.php?act=add&prod_id=' + prod_id + '&cat_id=' + cat_id,
				dataType: 'json',
				success: function(obj) {
					$j('.sv-cart-box').html($j.base64Decode(obj.html));
					
					if (obj.err) {
						ProcessMsgs('', obj.err);
					} else if (obj.msg) {
						if (callback) {
							callback.call();
						}
						
						ProcessMsgs(obj.msg, '');
						
						if (obj.arg4 > 0 && $j('#sv-cart-box-fly').get(0) && !$j('#sv-cart-box-fly').is(':visible')) {
							$j('#sv-cart-box-fly').show();
						}
						
						if ($j('.sv-cart-box-products').is(':visible') && cartFlyBoxType) {
							cart.productsShow();
						}
					} else {
						ClearMsgs();
					}
				},
				resetForm: false
			};
	
			$j('#' + product_form_id).ajaxSubmit(options);
		};
		
		cart.delProduct = function(cart_id, prod_id) {
			$j.getJSON(BASE_URL + 'modules/cart/cart_js.php?act=delete&cart_id=' + cart_id,
				function(obj) {
					$j('.sv-cart-box').html($j.base64Decode(obj.html));
					
					if (obj.arg4 == 0) {
						cart.productsHide();
					} else if ($j('.sv-cart-box-products').is(':visible') && cartFlyBoxType) {
						cart.productsShow();
					}
					
					if (window.ProductOptionChanged) {
						ProductOptionChanged(prod_id);
					}
					
					ProcessMsgs(obj.msg, obj.err);
				}
			);
		};
		
		cart.productsShow = function(link_obj) {
			if (link_obj) {
				cartFlyBoxType = '';
				
				if ($j(link_obj).parents('#sv-cart-box-side').get(0)) {
					cartFlyBoxType = 'side';
				} else if ($j(link_obj).parents('#sv-cart-box-fly').get(0)) {
					cartFlyBoxType = 'fly';
				} else if ($j(link_obj).parents('#sv-cart-box-head').get(0)) {
					cartFlyBoxType = 'head';
				}
			}
			
			if (cartFlyBoxType) {
				$j('.sv-cart-box-products').load(BASE_URL + 'modules/cart/cart_js.php?act=cart_box_products',
					function() {
						var offset = $j('#sv-cart-' + cartFlyBoxType + '-box-products').offset();
						
						$j('.sv-cart-box-products').css('left', offset.left);
						$j('.sv-cart-box-products').css('top', offset.top);
						
						$j('.sv-cart-box-products').show();
					}
				);
			}
		};
		
		cart.productsHide = function() {
			$j('.sv-cart-box-products').fadeOut('slow');
		};
		
		cart.flyOn = function() {
			if ($j('#sv-cart-box-fly').is(':hidden')) {
				$j('#sv-cart-box-fly').show();
				$j.post(BASE_URL + 'modules/cart/cart_js.php?act=fly-cart-show');
			} else {
				cart.flyOff();
			}
		};
		
		cart.flyOff = function() {
			$j('#sv-cart-box-fly').hide();
			$j.post(BASE_URL + 'modules/cart/cart_js.php?act=fly-cart-hide');
		};
		
		cart.clear = function() {
			$j.getJSON(BASE_URL + 'modules/cart/cart_js.php?act=delete&cart_id=0',
				function(obj) {
					$j('.sv-cart-box').html($j.base64Decode(obj.html));
					cart.productsHide();
					
					if (window.ProductOptionChanged) {
						if ($j('#sv-product-id')) {
							ProductOptionChanged($j('#sv-product-id').html());
						} else {
							window.location.reload();
						}
					}
					
					ProcessMsgs(obj.msg, '');
				}
			);
		};
		
		return cart;
	})();
	
	// Контроль перемещения плавающей корзины
	$j(document).ready(function(){
		if ($j('#sv-cart-box-fly').get(0)) {
			var cartBoxFlyLeft = $j(window).width()  / 2;
			var cartBoxFlyTop  = 80;
			
			$j.ajax({
				url: BASE_URL + 'modules/cart/cart_js.php?act=fly-cart-position-get',
				dataType: 'json',
				success: function(data) {
					var pos = data.html.split(';');
					
					if (pos[0] != -1) {
						cartBoxFlyLeft = pos[0] - 0;
					}
					
					if (pos[1] != -1) {
						cartBoxFlyTop = pos[1] - 0;
					}
					
					$j('#sv-cart-box-fly').css('left', cartBoxFlyLeft + 'px');
					$j('#sv-cart-box-fly').css('top', $j(window).scrollTop() + cartBoxFlyTop + 'px');
					
					$j('#sv-cart-box-fly').draggable({
						handle: '.sv-cart-box-fly-mover',
						start: function(event, ui) {
							CartBox.productsHide();
						},
						stop: function(event, ui) {
							cartBoxFlyLeft = $j(this).offset().left;
							cartBoxFlyTop  = $j(this).offset().top - $j(window).scrollTop();
							
							// Запоминаем координаты блока плавающей корзины
							$j.post(BASE_URL + 'modules/cart/cart_js.php?act=fly-cart-position-set',
								{left: cartBoxFlyLeft,
								top: cartBoxFlyTop}
							);
						}
					});
					
					$j(window).scroll(function(){
						CartBox.productsHide();
						$j('#sv-cart-box-fly').animate({top:$j(window).scrollTop() + cartBoxFlyTop + "px"}, {queue: false, duration: 0});
					});
					
					if (data.arg4 > 0) {
						$j('#sv-cart-box-fly').show();
					}
				}
			});
		} else {
			$j(window).scroll(function(){
				CartBox.productsHide();
			});
		}
	});

//-->